<!--
{
  "documentType" : "article",
  "framework" : "AppStoreConnectAPI",
  "identifier" : "/documentation/AppStoreConnectAPI/game-center-challenges",
  "metadataVersion" : "0.1.0",
  "role" : "collectionGroup",
  "title" : "Game Center challenges"
}
-->

# Game Center challenges

Manage Game Center challenges for your apps.

## Discussion

Use the challenges API to create and configure ways to link players directly to your content in your game. Once you create a challenge you can link it to an activity. To learn more about activies, see [Configuring Game center activities](/documentation/AppStoreConnectAPI/configuring-game-center-activities).

Challenges encourage your players to invite their friends into your game for friendly competitions in score-baseed rounds. Players will see your challenges promoted throughout the Games app and other places around the OS as suggestions for enjoying their games with friends. They can invite their Game Center friends and anyone from their contacts, see scores appear in real-time, get notified at key moments until a winner is crowned, and have a rematch. Challenges are built on top of leaderboards, turning single-player game activities into a social experience players can share with their friends. To learn more about integrating challenges into your game, see [Creating engaging challenges from leaderboards](https://developer.apple.com/documentation/gamekit/creating-engaging-challenges-from-leaderboards).

To manage challenges, be sure you have one of the following user roles:

- `ADMIN`
- `APP MANAGER`
- `MARKETING`
- `TECHNICAL`
- `DEVELOPER`

## Topics

### Managing challenges

[`GET /v1/gameCenterChallenges/{id}`](/documentation/AppStoreConnectAPI/GET-v1-gameCenterChallenges-_id_)

Get information for a specific Game Center challenge.

[`GET /v1/gameCenterChallenges/{id}/versions`](/documentation/AppStoreConnectAPI/GET-v1-gameCenterChallenges-_id_-versions)

Get a list of versions for a specific Game Center challenge.

[`POST /v1/gameCenterChallenges`](/documentation/AppStoreConnectAPI/POST-v1-gameCenterChallenges)

Add a challenge to a Game Center detail or group by referencing an existing leaderboard.

[`PATCH /v1/gameCenterChallenges/{id}`](/documentation/AppStoreConnectAPI/PATCH-v1-gameCenterChallenges-_id_)

Update details for a specific Game Center challenge.

[`PATCH /v1/gameCenterChallenges/{id}/relationships/leaderboardV2`](/documentation/AppStoreConnectAPI/PATCH-v1-gameCenterChallenges-_id_-relationships-leaderboardV2)

Update the leaderboard relationship for a specific Game Center challenge.

[`PATCH /v1/gameCenterChallenges/{id}/relationships/leaderboard`](/documentation/AppStoreConnectAPI/PATCH-v1-gameCenterChallenges-_id_-relationships-leaderboard)

Update the relationship between a leaderbaord and a specific Game Center challenge.

[`PATCH /v1/gameCenterDetails/{id}/relationships/challengesMinimumPlatformVersions`](/documentation/AppStoreConnectAPI/PATCH-v1-gameCenterDetails-_id_-relationships-challengesMinimumPlatformVersions)

Update the relationship between a challenges minimum platform version and a specific Game Center detail.

[`DELETE /v1/gameCenterChallenges/{id}`](/documentation/AppStoreConnectAPI/DELETE-v1-gameCenterChallenges-_id_)

Remove a specific Game Center challenge.

[`GET /v1/gameCenterDetails/{id}/gameCenterChallenges`](/documentation/AppStoreConnectAPI/GET-v1-gameCenterDetails-_id_-gameCenterChallenges)

Get challenge information for a specific Game Center detail.

[`GET /v1/gameCenterGroups/{id}/gameCenterChallenges`](/documentation/AppStoreConnectAPI/GET-v1-gameCenterGroups-_id_-gameCenterChallenges)

Get challenge information for a specific Game Center group.

[`GET /v1/gameCenterGroups/{id}/relationships/gameCenterChallenges`](/documentation/AppStoreConnectAPI/GET-v1-gameCenterGroups-_id_-relationships-gameCenterChallenges)

[`GET /v1/gameCenterGroups/{id}/gameCenterChallenges`](/documentation/AppStoreConnectAPI/GET-v1-gameCenterGroups-_id_-gameCenterChallenges)

Get challenge information for a specific Game Center group.

[`GET /v1/gameCenterGroups/{id}/relationships/gameCenterChallenges`](/documentation/AppStoreConnectAPI/GET-v1-gameCenterGroups-_id_-relationships-gameCenterChallenges)

### Objects

[`GameCenterChallenge`](/documentation/AppStoreConnectAPI/GameCenterChallenge)

The data structure that represent a challenge.

[`GameCenterChallengesResponse`](/documentation/AppStoreConnectAPI/GameCenterChallengesResponse)

A response containing a list of Game Center challenges configured for an app.

[`GameCenterChallengeCreateRequest`](/documentation/AppStoreConnectAPI/GameCenterChallengeCreateRequest)

The request body you use to create a challenge.

[`GameCenterChallengeResponse`](/documentation/AppStoreConnectAPI/GameCenterChallengeResponse)

A response containing a single Game Center challenge configuration.

[`GameCenterChallengeUpdateRequest`](/documentation/AppStoreConnectAPI/GameCenterChallengeUpdateRequest)

The request body you use to update a challenge.

[`GameCenterChallengeVersion`](/documentation/AppStoreConnectAPI/GameCenterChallengeVersion)

The data structure that represent a challenge version.

[`GameCenterChallengeVersionInlineCreate`](/documentation/AppStoreConnectAPI/GameCenterChallengeVersionInlineCreate)

The data structure you use to configure a challenge version while creating a challenge.

[`GameCenterChallengeVersionRelease`](/documentation/AppStoreConnectAPI/GameCenterChallengeVersionRelease)

The data structure that represent a challenge version release.

[`GameCenterChallengeLeaderboardV2LinkageRequest`](/documentation/AppStoreConnectAPI/GameCenterChallengeLeaderboardV2LinkageRequest)

The data structure that represents a Game Center challenge leaderboard linkage request resource.

[`GameCenterChallengeLeaderboardLinkageRequest`](/documentation/AppStoreConnectAPI/GameCenterChallengeLeaderboardLinkageRequest)

[`GameCenterChallengeVersionsLinkagesResponse`](/documentation/AppStoreConnectAPI/GameCenterChallengeVersionsLinkagesResponse)



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)